PeopleForce
Pulse

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

List all lifecycle survey responses

Returns a list of lifecycle survey responses

GET
/api/v4/pulse/lifecycle_survey_responses

Returns a list of lifecycle survey responses

Query Parameters

survey_ids?array<>

Filter by lifecycle survey IDs

user_ids?array<>

Filter by employee IDs

created_at[gte]?string

Created at greater than or equal to

Formatdate-time
created_at[lte]?string

Created at less than or equal to

Formatdate-time
updated_at[gte]?string

Updated at greater than or equal to

Formatdate-time
updated_at[lte]?string

Updated at less than or equal to

Formatdate-time
page?integer

Page offset to fetch.

Formatint32
Default1
per_page?integer

Number of results to return per page.

Formatint32
Default50
offset?integer

Pad a number of results.

Formatint32
Default0

Response Body

application/json

curl -X GET "https://example.com/api/v4/pulse/lifecycle_survey_responses"
{  "data": [    {      "id": 0,      "survey_id": 0,      "user_id": 0,      "anonymous": true,      "status": "string",      "finished_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "answers": [        {          "question": {},          "value": "string",          "comment": "string"        }      ]    }  ],  "metadata": {    "page": 0,    "per_page": 0,    "total_pages": 0,    "total_count": 0  }}